'use strict';

exports.__esModule = true;
exports['default'] = ignoreActions;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _lodashLangIsFunction = require('lodash/lang/isFunction');

var _lodashLangIsFunction2 = _interopRequireDefault(_lodashLangIsFunction);

// redux-ignore higher order reducer

function ignoreActions(reducer) {
  var actions = arguments.length <= 1 || arguments[1] === undefined ? [] : arguments[1];

  var ignorePredicate = _lodashLangIsFunction2['default'](actions) ? actions : function (action) {
    return actions.indexOf(action.type) >= 0;
  };

  return function (state, action) {
    if (!ignorePredicate(action)) {
      return reducer(state, action);
    }

    return state;
  };
}

// /redux-ignore
module.exports = exports['default'];